/* -------- Custom class ------- */ 
.border-bottom-4{
  border-bottom: 4px solid #1a3867;
}

.lh-normal{
  line-height: normal !important;
}

.m24--pagination .disabled.page-item .page-link{
  color: #6c757d;
  pointer-events: none;
  cursor: auto;
  background-color: #fff;
  border-color: #dee2e6;
}

select[name="limit"]{
  display: inline-block;
  width: auto;
  height: calc(1.5em + 0.75rem + 2px);
  padding: .375rem .75rem;
  font-size: 14px;
}

select{
  display: block;
  width: 100%;
  height: calc(1.5em + .75rem + 2px);
  padding: .375rem .75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  border-radius: .25rem;
  transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}
.custom-file-label{  font-size: 1rem;}
.chzn-container-single{width: 100% !important;}
input, textarea, .chzn-container-single .chzn-single {
  display: block;
  width: 100%;
  height: calc(1.5em + .75rem + 2px);
  padding: .375rem .75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #495057;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  border-radius: .25rem;
  transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}
.chzn-container-active .chzn-single, .chzn-container-single .chzn-single{
  background: #fff !important;
  box-shadow: none !important;
}
.chzn-container-single .chzn-single div b{background-position: 0px 8px !important;}
textarea{height: auto;}

fieldset.m24--fieldset{
  display: block;
  margin-inline-start: 2px;
  margin-inline-end: 2px;
  padding-block-start: 15px;
  padding-inline-start: 15px;
  padding-inline-end: 15px;
  padding-block-end: 15px;
  min-inline-size: min-content;
  border-width: 1px;
  border-style: groove;
  border-color: threedface;
  border-image: initial;
}
fieldset.m24--fieldset legend{
  display: block;
  width: auto;
  font-size: 14px;
  margin-bottom: 0px;
  padding-inline-start: 5px;
  padding-inline-end: 5px;
  border-width: initial;
  border-style: none;
  border-color: initial;
  border-image: initial;
}
/* ---------------------------- */

/* --------- company-list --------- */
.company-list .companylist-table td{text-align: left !important;}
.company-list .companylist-table td a[data-original-title="Published"], .company-list .companylist-table td a[data-original-title="Unpublished"]{
  padding: 0px;
  position: relative;
  width: 25px;
  height: 22px;
  text-align: center;
  border: 1px solid #ccc;
  color: #212529;
  background-color: #f8f9fa;
}
.company-list .companylist-table td a[data-original-title="Published"] span , .company-list .companylist-table td a[data-original-title="Unpublished"] span  {
  position: relative;
  width: 22px;
  height: 22px;
  display: inline-block;
}
.company-list .companylist-table td a[data-original-title="Published"] span.icon-publish:before{
  position: absolute;
  content: "\f00c";
  top: 50%;
  left: 50%;
  font-size: 13px;
  line-height: normal;
  font-family: "Font Awesome 5 Free"; 
  font-weight: 900; 
  display: inline-block;
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  -webkit-font-smoothing: antialiased;
  transform: translate(-50%, -50%);
}
.company-list .companylist-table td a[data-original-title="Unpublished"] span.icon-unpublish:before{
  position: absolute;
  content: "\f057";
  top: 50%;
  left: 50%;
  font-size: 13px;
  line-height: normal;
  font-family: "Font Awesome 5 Free"; 
  font-weight: 900; 
  display: inline-block;
  font-style: normal;
  font-variant: normal;
  text-rendering: auto;
  -webkit-font-smoothing: antialiased;
  transform: translate(-50%, -50%);
}
.company-list .companylist-table .chzn-container-single{width: auto !important;} 
/* ---------------------------------- */

/* -------- edit-companylist -------- */
.edit-companylist .edit-companylist-tab .hours .day-time{
  width: 100%;
  display: inline-block;
}
.edit-companylist .edit-companylist-tab .hours .day-time label{display: block;}
.edit-companylist .edit-companylist-tab .hours .day-time .chzn-container{
  width: 32% !important;
  float: left;
  margin-right: 8px;
}
.edit-companylist .edit-companylist-tab .hours .day-time .sales-time .chzn-container:last-child, .edit-companylist .edit-companylist-tab .hours .day-time .parts-time .chzn-container:last-child, .edit-companylist .edit-companylist-tab .hours .day-time .service-time .chzn-container:last-child{margin-right: 0px;}
/* ---------------------------------- */

/* --------- addedit-images --------- */
.addedit-images .fileupload-buttons input.toggle{
  width: 20px;
  height: 20px;
  position: relative;
  top: 5px;
  margin-left: 10px;
}
.addedit-images .addedit-imgtable .template-download.fade{opacity: 1;}
.addedit-images .addedit-imgtable .template-upload.fade{opacity: 1;}
.fileupload-progress.fade.in{opacity: 1 !important;}
.addedit-images .addedit-imgtable .template-download td.delete input[type="checkbox"]{
  width: 20px;
  height: 20px;
  position: relative;
  top: 5px;
  margin-left: 10px;
}
/* ----------------------- */

/* -------- inventory-management ------- */
.inventory-management .filters-option .btn.expresetbtn{
  margin-top: 28px;
  margin-left: 15px;
}
.inventory-management .SumoSelect > .CaptionCont{
  display: block;
    width: 100%;
    height: calc(1.5em + .75rem + 2px);
    padding: .375rem .75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #495057;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #ced4da;
    border-radius: .25rem;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}
.inventory-management .SumoSelect:focus > .CaptionCont, .inventory-management .SumoSelect.open > .CaptionCont{
  outline: none;
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
  border-color: #80bdff;
}
.inventory-management .SumoSelect:hover > .CaptionCont{
  outline: none;
  -webkit-box-shadow: none !important;
  box-shadow: none !important;
  border-color: #ced4da;
}
.inventory-management .SumoSelect > .CaptionCont > label{margin-bottom: 0px;}
.inventory-management .CaptionCont label span.caret{
  display: inline-block;
  content: "";
  top: 0px;
  width: 0;
  height: 0;
  vertical-align: top;
  border-top: 4px solid #000000;
  border-right: 4px solid transparent;
  border-left: 4px solid transparent;
}
/* ------------------------------------- */

/* -------------- Add Unit ------------- */
.add-unit #expmember-profile select, .add-unit #expmember-profile input{
  height: calc(1.5em + .75rem + 2px) !important;
}
.add-unit .engine-size .engine-size-field .expdisplacement{
  width: 20% !important;
  float: left;
  margin-right: 10px;
}
.add-unit .engine-size .engine-size-field{
  display: flex;
  justify-content: start;
  align-items: center;
}
.add-unit .featured-field fieldset{margin-bottom: 0px !important;}
.add-unit .addunit-tab #details fieldset.btn-group.radio, .add-unit .addunit-tab #specs fieldset.btn-group.radio{display: inline-block;}
.add-unit .addunit-tab #accessories table.expequiptable{width: 100%; border: 1px solid #dee2e6;}
.add-unit .addunit-tab #accessories table.expequiptable td, .add-unit .addunit-tab #accessories table.expequiptable th {
  border: 1px solid #dee2e6;
  padding: 8px;
  vertical-align: top;
}
/* ------------------------------------- */

/* ------------ price-override ----------- */
.price-override .priceoverride-table table input[type="checkbox"]{height: 15px;}
/* ------------------------------------- */

/* ------------ priceoverride-edit ----------- */
.priceoverride-edit .priceoverride-editfield .custom-switch input, .custom-switch input{
  position: absolute !important;
  clip: rect(0, 0, 0, 0);
  height: 1px;
  width: 1px;
  border: 0;
  overflow: hidden;
}
.priceoverride-edit .priceoverride-editfield .custom-switch label, .custom-switch label{
  background-color: #e3e8ee;
  font-size: 14px;
  width: 45px;
  height: 35px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  margin-right: -4px;
  transition: all 0.1s ease-in-out;
  cursor: pointer;
}
.priceoverride-edit .priceoverride-editfield .custom-switch label:first-of-type, .custom-switch label:first-of-type{border-radius: 2.5rem 0 0 2.5rem;}
.priceoverride-edit .priceoverride-editfield .custom-switch label:last-of-type, .custom-switch label:last-of-type{border-radius: 0 2.5rem 2.5rem 0;}
.priceoverride-edit .priceoverride-editfield .custom-switch input:checked + label, .custom-switch input:checked + label{
  background-color: #1a3867;
  color: #fff;
}
/* ------------------------------------- */
